********************************************************************************
***********************************STUDY 1**************************************
********************************************************************************

***replace "C:\Users\..." by the correct file path.
cd "C:\Users\Fripo\Google Drive\Projet (terminé)\12. Social Inequalities and motivation (Unil-Chuv)\Submission @JP\Révision\Proof\Study 1"
use "(Inequality S1) Working matrix (anomymized)", clear
	
**************
*DROP MISSING*
**************

***participants who started the survey (=> 885)
drop if title1 == .
sum id
***missing (gini: 12 + educ: 2 + DV: 1 = 15)
drop if zcta_gini == .
drop if zcta_uneducated == .
egen compet = rowmean(compet_1 compet_2 compet_3 compet_4 compet_5)
drop if compet == .
sum id

**********************
*METHOD: PARTICIPANTS*
**********************

***gender (1 = men; 2 = women)
tab sex
***age
sum age
***race (1 = White/Caucasian, 2 = African American, 3 = Hispanic, 4 = Asian, 5 = Native American, 6 = Pacific Islander, 7 = Other)
tab race
***status (1 = Working for payment or profit, 2 = Looking for first regular job, 3 = Unemployed, 5 = Looking after home/family, ...
**...7 = Unable to work due to permanent sickness or disability, 4 = Student or pupil, 6 = Retired from employment, 8 = Other)
recode status (1 = 1) (2 3 5 7 = 2) (4 = 3) (6 = 4) (8 = .), gen(status_short)
tab status_short
***income (1 = Below $20,000, 2 = $20,000 - $29,999, 3 = $30,000 - $39,999, 4 = $40,000 - $49,999, 5 = $50,000 - $59,999, ...
**...6 = $60,000 - $69,999, 7 = $70,000 - $79,999, 8 = $80,000 - $89,999, 9 = $90,000 or more).
recode income (1 = 10) (2 = 25) (3 = 35) (4 = 45) (5 = 55) (6 = 65) (7 = 75) (8 = 85) (9 = 100), gen(income_moy)
sum income_moy
***education (1 = Less than High School, 2 = High School / GED, 3 = Some College, 4 = 2-year College Degree, 5 = 4-year College Degree, ...
**6 = Masters Degree, 7 = Doctoral Degree, 8 = Professional Degree (JD, MD))
recode educ (1/4 = 1) (5/8 = 2), gen(educ_short)
tab educ_short
***political self-rating (1 = Very liberal to 7 = Very conservative)
sum polit
***time in town (1  = less than one year)
recode long_town (1 = 0) (1/6 = 1), gen(one_year_town)
tab one_year_town

******************
*METHOD: CLUSTERS*
******************

***number of ZIP-codes
distinct zcta
duplicates drop zcta, force
***descriptive statistics
**number of inhabitants per ZIP-code
sum zcta_pop
**employment rate 
sum zcta_employment
**percentage of the population living below the poverty line
sum zcta_poverty
**percentage of those without a high school diploma 
sum zcta_uneducated
**income inequality
sum zcta_gini

*******************
*METHOD: VARIABLES*
*******************

***replace "C:\Users\..." by the correct file path.
cd "C:\Users\Fripo\Google Drive\Projet (terminé)\12. Social Inequalities and motivation (Unil-Chuv)\Submission @JP\Révision\Proof\Study 1"
use "(Inequality S1) Working matrix (anomymized)", clear

***drop missing (for the details, see above)
drop if title1 == .
drop if zcta_gini == .
drop if zcta_uneducated == .
egen compet = rowmean(compet_1 compet_2 compet_3 compet_4 compet_5)
drop if compet == .

***perceived income inequality
alpha ineq_1 ineq_2 ineq_3
egen ineq = rowmean(ineq_1 ineq_2 ineq_3)
sum ineq

***perceived competitiveness
alpha compet_1 compet_2 compet_3 compet_4 compet_5
sum compet

***correlation matrix
pwcorr zcta_gini ineq compet
pwcorr zcta_gini ineq compet, sig

******************************
*****PRELIMINARY ANALYSIS*****
******************************

***preliminary analysis: Actual and perceived inequality
pwcorr zcta_gini ineq, sig

***design effect [Footnote 3]
**number of Ss per cluster
display 870/710
**DEFFs
xtmixed compet || zcta:, var
estat icc
display 1 + (870/710 - 1) * .1575064
display 1 + (870/710 - 1) * .062603
display 1 + (870/710 - 1) * .3435518

***multiple imputations with chained equation
**recoding
recode sex (1 = 1) (2 = 0), gen(sex_01)
recode race (1 = 0) (2 3 4 5 6 7 = 1), gen(white_01)
recode status (1 = 0) (1 2 3 4 5 6 7 8 = 1), gen(worker_01)
recode educ (1 2 3 4 = 1) (5 6 7 8 = 0), gen(educ_01)
**percentage of missing variables
misstable summarize sex_01 age white_01 income worker_01 educ_01
display 6/870
display 22/870
**imputations
mi set mlong
mi register imputed sex_01 age white_01 income worker_01 educ_01
mi impute chained (logit) sex_01 (regress) age (logit) white_01 (ologit) income (logit) worker_01 (logit) educ_01 = ineq_1 ineq_2 ineq_3 compet_1 compet_2 compet_3 compet_4 compet_5, add(20) rseed(123) force
mi xeq: replace income = 5 if missing(income)

***standardization
**outcome variable
mi xeq: egen compet_sd = std(compet)
**focal predictor
mi xeq: egen zcta_gini_sd = std(zcta_gini)
**level-1 control variables
mi xeq: egen sex_sd = std(sex_01)
mi xeq: egen age_sd = std(age)
mi xeq: egen white_sd = std(white_01)
mi xeq: egen worker_sd = std(worker)
mi xeq: egen income_sd = std(income)
mi xeq: egen educ_sd = std(educ_01)
**level-2 zcta
mi xeq: egen zcta_employment_sd = std(zcta_employment)
mi xeq: egen zcta_population_sd = std(zcta_population)
mi xeq: egen zcta_uneducated_sd = std(zcta_uneducated)
mi xeq: egen zcta_poverty_sd = std(zcta_poverty)

***************
*MAIN ANALYSIS*
***************

***income inequality and perceived competitiveness
mi estimate: reg compet_sd zcta_gini_sd sex_sd age_sd white_sd worker_sd income_sd educ_sd zcta_population_sd zcta_employment_sd zcta_poverty_sd zcta_uneducated_sd

*footnote 3
***income inequality and perceived competitiveness
mi estimate: xtmixed compet_sd zcta_gini_sd sex_sd age_sd white_sd worker_sd income_sd educ_sd zcta_population_sd zcta_employment_sd zcta_poverty_sd zcta_uneducated_sd || zcta:, var

************************
*SUPPLEMENTARY MATERIAL*
************************

***Hypothesis 1: without covariates [Table S3]
mi estimate: reg compet_sd zcta_gini_sd
display 5.67^2 / (5.67^2 + 870)

***urban area
distinct micro if _mi_m == 0
display (870-848)/870

***descriptive [Table S1] and actual and perceived inequality correlations (Steiger's test was done online; http://quantpsy.org/corrtest/corrtest2.html)
duplicates tag micro if _mi_m == 0, generate(u_micro)
sum micro_gini if u_micro == 0
pwcorr zcta_gini micro_gini ineq compet if _mi_m == 0
pwcorr zcta_gini_sd micro_gini ineq compet_sd if _mi_m == 0, sig

***design effect [Footnote S2]
**number of Ss per cluster
display 186/870
**DEFFs
xtmixed compet || micro:, var
estat icc
display 1 + (870/186 - 1) * .1575064

***Income inequality and perceived competitiveness
**standardization
*focal predictor
mi xeq: egen micro_gini_sd = std(micro_gini)
*level-2 micro
mi xeq: egen micro_poverty_sd = std(micro_poverty)
mi xeq: egen micro_employment_sd = std(micro_employment)
mi xeq: egen micro_population_sd = std(micro_population)
mi xeq: egen micro_uneducated_sd = std(micro_uneducated)
*ZIP code model
mi estimate: reg compet_sd zcta_gini_sd sex_sd age_sd white_sd worker_sd income_sd educ_sd zcta_population_sd zcta_employment_sd zcta_poverty_sd zcta_uneducated_sd
*urban model
mi estimate: reg compet_sd micro_gini_sd sex_sd age_sd white_sd worker_sd income_sd educ_sd micro_population_sd micro_employment_sd micro_poverty_sd micro_uneducated_sd
*composite model
mi estimate, saving(miest, replace): reg compet_sd zcta_gini_sd micro_gini_sd sex_sd age_sd white_sd worker_sd income_sd educ_sd zcta_population_sd zcta_employment_sd zcta_poverty_sd zcta_uneducated_sd
mi estimate (diff: _b[c.micro_gini_sd]-_b[c.zcta_gini_sd]) using miest, nocoef
mi testtransform diff
