********************************************************************************
***********************************STUDY 3**************************************
********************************************************************************

***replace "C:\Users\..." by the correct file path.
cd "C:\Users\Fripo\Google Drive\Projet (terminé)\12. Social Inequalities and motivation (Unil-Chuv)\Submission @JP\Révision\Proof\Study 3"
use "(Inequality S3) Working matrix (anonymized)", clear

**************
*DROP MISSING*
**************

***participants who completed the survey (N = 864)
drop if  p4_title == .
sum id
***missing (gini: 13, DV: 1)
drop if zcta_gini == .
egen map = rowmean(map_1 map_2 map_3)
keep if map != .
sum id 

**********************
*METHOD: PARTICIPANTS*
**********************

***gender (1 = men; 2 = women)
tab sex
***age
sum age
***race (1 = White/Caucasian, 2 = African American, 3 = Hispanic, 4 = Asian, 5 = Native American, 6 = Pacific Islander, 7 = Other)
tab race
***status (1 = Working for payment or profit, 2 = Looking for first regular job, 3 = Unemployed, 5 = Looking after home/family, ...
**...7 = Unable to work due to permanent sickness or disability, 4 = Student or pupil, 6 = Retired from employment, 8 = Other)
recode status (1 = 1) (2 3 5 7 = 2) (4 = 3) (6 = 4) (8 = .), gen(status_short)
tab status_short
***income (1 = Below $20,000, 2 = $20,000 - $29,999, 3 = $30,000 - $39,999, 4 = $40,000 - $49,999, 5 = $50,000 - $59,999, ...
**...6 = $60,000 - $69,999, 7 = $70,000 - $79,999, 8 = $80,000 - $89,999, 9 = $90,000 or more).
recode income (1 = 10) (2 = 25) (3 = 35) (4 = 45) (5 = 55) (6 = 65) (7 = 75) (8 = 85) (9 = 100), gen(income_moy)
sum income_moy
***education (1 = Less than High School, 2 = High School / GED, 3 = Some College, 4 = 2-year College Degree, 5 = 4-year College Degree, ...
**6 = Masters Degree, 7 = Doctoral Degree, 8 = Professional Degree (JD, MD))
recode educ (1/4 = 1) (5/8 = 2), gen(educ_short)
tab educ_short
***political self-rating (1 = Very liberal to 7 = Very conservative)
sum polit
***time in town (1  = less than one year)
recode city_time (1 = 0) (1/6 = 1), gen(one_year_town)
tab one_year_town

******************
*METHOD: CLUSTERS*
******************

***number of ZIP-codes
distinct zcta
duplicates drop zcta, force
***descriptive statistics
**number of inhabitants per ZIP-code
sum zcta_pop
**employment rate 
sum zcta_employment
**percentage of the population living below the poverty line
sum zcta_poverty
**percentage of those without a high school diploma 
sum zcta_uneducated
**income inequality
sum zcta_gini

*******************
*METHOD: VARIABLES*
*******************

***replace "C:\Users\..." by the correct file path
cd "C:\Users\Fripo\Google Drive\Projet (terminé)\12. Social Inequalities and motivation (Unil-Chuv)\Submission @JP\Révision\Proof\Study 3"
use "(Inequality S3) Working matrix (anonymized)", clear

***drop missing (for the details, see above)
drop if  p4_title == .
drop if zcta_gini == .
egen map = rowmean(map_1 map_2 map_3)
keep if map != .

***perceived income inequality
alpha ineq_1 ineq_2 ineq_3
egen ineq = rowmean(ineq_1 ineq_2 ineq_3)
sum ineq

***perceived competitiveness
alpha compet_1 compet_2 compet_3 compet_4 compet_5
egen compet = rowmean(compet_1 compet_2 compet_3 compet_4 compet_5)
sum compet

***correlation matrix
pwcorr zcta_gini ineq compet
pwcorr zcta_gini ineq compet, sig

***achievement goals
alpha map_1 map_2 map_3
alpha mav_1 mav_2 mav_3
egen mav = rowmean(mav_1 mav_2 mav_3)
alpha pap_1 pap_2 pap_3
egen pap = rowmean(pap_1 pap_2 pap_3)
alpha pav_1 pav_2 pav_3
egen pav = rowmean(pav_1 pav_2 pav_3)

***need for achievement and fear of failure
alpha nach_5 nach_1r nach_2 nach_4r nach_6r nach_7r nach_8 nach_9 nach_10r nach_11 nach_12r nach_3 nach_13r nach_14 nach_15 nach_16r
gen nach_1 = 8 - nach_1r
gen nach_4 = 8 - nach_4r
gen nach_6 = 8 - nach_6r
gen nach_7 = 8 - nach_7r
gen nach_10 = 8 - nach_10r
gen nach_12 = 8 - nach_12r
gen nach_13 = 8 - nach_13r
gen nach_16 = 8 - nach_16r
egen nach = rowmean(nach_5 nach_1r nach_2 nach_4r nach_6r nach_7r nach_8 nach_9 nach_10r nach_11 nach_12r nach_3 nach_13r nach_14 nach_15 nach_16r)
alpha fof_1 fof_2 fof_3 fof_4 fof_5 fof_6 fof_7
egen fof = rowmean(fof_1 fof_2 fof_3 fof_4 fof_5 fof_6 fof_7)

***promotion and prevention
alpha prom_3 prom_4 prom_6 prom_8 prom_12 prom_13 prom_17 prom_18 prom_19
egen prom = rowmean(prom_3 prom_4 prom_6 prom_8 prom_12 prom_13 prom_17 prom_18 prom_19)
alpha prev_1 prev_2 prev_5 prev_7 prev_9 prev_10 prev_11 prev_14 prev_16 
egen prev = rowmean(prev_1 prev_2 prev_5 prev_7 prev_9 prev_10 prev_11 prev_14 prev_16)
sum prom prev

*descriptives statistics and correlation matrix
sum pap pav map mav nach fof prom prev
pwcorr pap pav map mav nach fof prom prev
pwcorr pap pav map mav nach fof prom prev, sig

******************************
*****PRELIMINARY ANALYSIS*****
******************************

***preliminary analysis: Actual and perceived inequality
pwcorr zcta_gini ineq, sig

***design effect [Footnote 3]
**number of Ss per cluster
display 850/788
***DEFFs
xtmixed compet || zcta:, var
estat icc
display 1+(850/788 - 1) * .172875
display 1+(850/788 - 1) * .0329279 
display 1+(850/788 - 1) * .5619744

***multiple imputations with chained equation
**recoding
recode sex (1 = 1) (2 = 0), gen(sex_01)
recode race (1 = 0) (2 3 4 5 6 7 = 1), gen(white_01)
recode status (1 = 0) (1 2 3 4 5 6 7 8 = 1), gen(worker_01)
recode educ (1 2 3 4 = 1) (5 6 7 8 = 0), gen(educ_01)
**percentage of missing variables
misstable summarize sex_01 age white_01 income worker_01 educ_01
display 5/8263
display 22/823
**imputations
mi set mlong
mi register imputed sex_01 age white_01 income worker_01 educ_01
mi impute chained (logit) sex_01 (regress) age (logit) white_01 (ologit) income (logit) worker_01 (logit) educ_01 = ///
ineq_1 ineq_2 ineq_3 ///
compet_1 compet_2 compet_3 compet_4 compet_5 ///
pap_1 pap_2 pap_3 pav_1 pav_2 pav_3 map_1 map_2 map_3 mav_1 mav_2 mav_3 ///
nach_5 nach_1r nach_2 nach_4r nach_6r nach_7r nach_8 nach_9 nach_10r nach_11 nach_12r nach_3 nach_13r nach_14 nach_15 nach_16r fof_1 fof_2 fof_3 fof_4 fof_5 fof_6 fof_7 ///
prom_3 prom_4 prom_6 prom_8 prom_12 prom_13 prom_17 prom_18 prom_19 prev_1 prev_2 prev_5 prev_7 prev_9 prev_10 prev_11 prev_14 prev_16 ///
 , add(20) rseed(123) force

***standardization
**outcome variable
mi xeq: egen compet_sd = std(compet)
**focal predictor
mi xeq: egen zcta_gini_sd = std(zcta_gini)
**motivation variables
mi xeq: egen pap_sd = std(pap)
mi xeq: egen pav_sd = std(pav)
mi xeq: egen map_sd = std(map)
mi xeq: egen mav_sd = std(mav)
mi xeq: egen nach_sd = std(nach)
mi xeq: egen fof_sd = std(fof)
mi xeq: egen prom_sd = std(prom)
mi xeq: egen prev_sd = std(prev)
**level-1 control variables
mi xeq: egen sex_sd = std(sex_01)
mi xeq: egen age_sd = std(age)
mi xeq: egen white_sd = std(white_01)
mi xeq: egen worker_sd = std(worker)
mi xeq: egen income_sd = std(income)
mi xeq: egen educ_sd = std(educ_01)
**level-2 zcta
mi xeq: egen zcta_employment_sd = std(zcta_employment)
mi xeq: egen zcta_population_sd = std(zcta_population)
mi xeq: egen zcta_uneducated_sd = std(zcta_uneducated)
mi xeq: egen zcta_poverty_sd = std(zcta_poverty)

****************************
*REPLICATION OF STUDIES 1-2*
****************************

***Income inequality and perceived competitiveness
mi estimate: reg compet_sd zcta_gini_sd sex_sd age_sd white_sd worker_sd income_sd educ_sd zcta_population_sd zcta_employment_sd zcta_poverty_sd zcta_uneducated_sd

*footnote 3
***income inequality and perceived competitiveness
mi estimate: xtmixed compet_sd zcta_gini_sd sex_sd age_sd white_sd worker_sd income_sd educ_sd zcta_population_sd zcta_employment_sd zcta_poverty_sd zcta_uneducated_sd || zcta:, var

************************
*REPLICATION OF STUDY 2*
************************

***Total effects [Table S5]
**approach and avoidance economic achievement goals.
mi estimate, cmdok: sem (zcta_gini_sd -> pap_sd, ) (zcta_gini_sd -> pav_sd, ) (zcta_gini_sd -> map_sd, ) (zcta_gini_sd -> mav_sd, ) ///
	(sex_sd -> pap_sd, ) (sex_sd -> pav_sd, ) (sex_sd -> map_sd, ) (sex_sd -> mav_sd, ) ///
	(age_sd -> pap_sd, ) (age_sd -> pav_sd, ) (age_sd -> map_sd, ) (age_sd -> mav_sd, ) ///
	(white_sd -> pap_sd, ) (white_sd -> pav_sd, ) (white_sd -> map_sd, ) (white_sd -> mav_sd, ) ///
	(worker_sd -> pap_sd, ) (worker_sd -> pav_sd, ) (worker_sd -> map_sd, ) (worker_sd -> mav_sd, ) ///
	(income_sd -> pap_sd, ) (income_sd -> pav_sd, ) (income_sd -> map_sd, ) (income_sd -> mav_sd, ) ///
	(educ_sd -> pap_sd, ) (educ_sd -> pav_sd, ) (educ_sd -> map_sd, ) (educ_sd -> mav_sd, ) ///
	(zcta_population_sd -> pap_sd, ) (zcta_population_sd -> pav_sd, ) (zcta_population_sd -> map_sd, ) (zcta_population_sd -> mav_sd, ) ///
	(zcta_employment_sd -> pap_sd, ) (zcta_employment_sd -> pav_sd, ) (zcta_employment_sd -> map_sd, ) (zcta_employment_sd -> mav_sd, ) ///
	(zcta_poverty_sd -> pap_sd, ) (zcta_poverty_sd -> pav_sd, ) (zcta_poverty_sd -> map_sd, ) (zcta_poverty_sd -> mav_sd, ) ///
	(zcta_uneducated_sd -> pap_sd, ) (zcta_uneducated_sd -> pav_sd, ) (zcta_uneducated_sd -> map_sd, ) (zcta_uneducated_sd -> mav_sd, )  ///
	, cov(e.pap_sd*e.pav_sd e.pap_sd*e.map_sd e.pap_sd*e.mav_sd e.pav_sd*e.map_sd e.pav_sd*e.mav_sd e.map_sd*e.mav_sd) nocapslatent
**need for achievement and fear of failure. 
mi estimate, cmdok: sem (zcta_gini_sd -> nach_sd, ) (zcta_gini_sd -> fof_sd, ) ///
	(sex_sd -> nach_sd, ) (sex_sd -> fof_sd, ) ///
	(age_sd -> nach_sd, ) (age_sd -> fof_sd, ) ///
	(white_sd -> nach_sd, ) (white_sd -> fof_sd, ) ///
	(worker_sd -> nach_sd, ) (worker_sd -> fof_sd, ) ///
	(income_sd -> nach_sd, ) (income_sd -> fof_sd, ) ///
	(educ_sd -> nach_sd, ) (educ_sd -> fof_sd, ) ///
	(zcta_population_sd -> nach_sd, ) (zcta_population_sd -> fof_sd, ) ///
	(zcta_employment_sd -> nach_sd, ) (zcta_employment_sd -> fof_sd, ) ///
	(zcta_poverty_sd -> nach_sd, ) (zcta_poverty_sd -> fof_sd, ) ///
	(zcta_uneducated_sd -> nach_sd, ) (zcta_uneducated_sd -> fof_sd, ) ///
	, cov(e.nach_sd*e.fof_sd) nocapslatent
**promotion and prevention foci. 
mi estimate, cmdok: sem (zcta_gini_sd -> prom_sd, ) (zcta_gini_sd -> prev_sd, ) ///
	(sex_sd -> prom_sd, ) (sex_sd -> prev_sd, ) ///
	(age_sd -> prom_sd, ) (age_sd -> prev_sd, ) ///
	(white_sd -> prom_sd, ) (white_sd -> prev_sd, ) ///
	(worker_sd -> prom_sd, ) (worker_sd -> prev_sd, ) ///
	(income_sd -> prom_sd, ) (income_sd -> prev_sd, ) ///
	(educ_sd -> prom_sd, ) (educ_sd -> prev_sd, ) ///
	(zcta_population_sd -> prom_sd, ) (zcta_population_sd -> prev_sd, ) ///
	(zcta_employment_sd -> prom_sd, ) (zcta_employment_sd -> prev_sd, ) ///
	(zcta_poverty_sd -> prom_sd, ) (zcta_poverty_sd -> prev_sd, ) ///
	(zcta_uneducated_sd -> prom_sd, ) (zcta_uneducated_sd -> prev_sd, ) ///
	, cov(e.prom_sd*e.prev_sd) nocapslatent

***indirect effects [Table 5]
**approach and avoidance economic achievement goals.
mi estimate (ind_eff_pap: [compet_sd]_b[zcta_gini_sd]*[pap_sd]_b[compet_sd]) ///
	(ind_eff_pav: [compet_sd]_b[zcta_gini_sd]*[pav_sd]_b[compet_sd]) ///
	(ind_eff_map: [compet_sd]_b[zcta_gini_sd]*[map_sd]_b[compet_sd]) ///
	(ind_eff_mav: [compet_sd]_b[zcta_gini_sd]*[mav_sd]_b[compet_sd]) ///
	, cmdok: sem (zcta_gini_sd -> pap_sd, ) (zcta_gini_sd -> pav_sd, ) (zcta_gini_sd -> map_sd, ) (zcta_gini_sd -> mav_sd, ) (zcta_gini_sd -> compet_sd, ) ///
	(compet_sd -> pap_sd, ) (compet_sd -> pav_sd, ) (compet_sd -> map_sd, ) (compet_sd -> mav_sd, ) ///
	(sex_sd -> pap_sd, ) (sex_sd -> pav_sd, ) (sex_sd -> map_sd, ) (sex_sd -> mav_sd, ) (sex_sd -> compet_sd, ) ///
	(age_sd -> pap_sd, ) (age_sd -> pav_sd, ) (age_sd -> map_sd, ) (age_sd -> mav_sd, ) (age_sd -> compet_sd, ) ///
	(white_sd -> pap_sd, ) (white_sd -> pav_sd, ) (white_sd -> map_sd, ) (white_sd -> mav_sd, ) (white_sd -> compet_sd, ) ///
	(worker_sd -> pap_sd, ) (worker_sd -> pav_sd, ) (worker_sd -> map_sd, ) (worker_sd -> mav_sd, ) (worker_sd -> compet_sd, ) ///
	(income_sd -> pap_sd, ) (income_sd -> pav_sd, ) (income_sd -> map_sd, ) (income_sd -> mav_sd, ) (income_sd -> compet_sd, ) ///
	(educ_sd -> pap_sd, ) (educ_sd -> pav_sd, ) (educ_sd -> map_sd, ) (educ_sd -> mav_sd, ) (educ_sd -> compet_sd, ) ///
	(zcta_population_sd -> pap_sd, ) (zcta_population_sd -> pav_sd, ) (zcta_population_sd -> map_sd, ) (zcta_population_sd -> mav_sd, ) (zcta_population_sd -> compet_sd, ) ///
	(zcta_employment_sd -> pap_sd, ) (zcta_employment_sd -> pav_sd, ) (zcta_employment_sd -> map_sd, ) (zcta_employment_sd -> mav_sd, ) (zcta_employment_sd -> compet_sd, ) ///
	(zcta_poverty_sd -> pap_sd, ) (zcta_poverty_sd -> pav_sd, ) (zcta_poverty_sd -> map_sd, ) (zcta_poverty_sd -> mav_sd, ) (zcta_poverty_sd -> compet_sd, ) ///
	(zcta_uneducated_sd -> pap_sd, ) (zcta_uneducated_sd -> pav_sd, ) (zcta_uneducated_sd -> map_sd, ) (zcta_uneducated_sd -> mav_sd, ) (zcta_uneducated_sd -> compet_sd, ) ///
	, cov(e.pap_sd*e.pav_sd e.pap_sd*e.map_sd e.pap_sd*e.mav_sd e.pav_sd*e.map_sd e.pav_sd*e.mav_sd e.map_sd*e.mav_sd) nocapslatent
**need for achievement and fear of failure. 
mi estimate (ind_eff_nach: [compet_sd]_b[zcta_gini_sd]*[nach_sd]_b[compet_sd]) ///
	(ind_eff_fof: [compet_sd]_b[zcta_gini_sd]*[fof_sd]_b[compet_sd]) ///
	, cmdok: sem (zcta_gini_sd -> nach_sd, ) (zcta_gini_sd -> fof_sd, ) (zcta_gini_sd -> compet_sd, ) ///
	(compet_sd -> nach_sd, ) (compet_sd -> fof_sd, ) ///
	(sex_sd -> nach_sd, ) (sex_sd -> fof_sd, ) (sex_sd -> compet_sd, ) ///
	(age_sd -> nach_sd, ) (age_sd -> fof_sd, ) (age_sd -> compet_sd, ) ///
	(white_sd -> nach_sd, ) (white_sd -> fof_sd, ) (white_sd -> compet_sd, ) ///
	(worker_sd -> nach_sd, ) (worker_sd -> fof_sd, ) (worker_sd -> compet_sd, ) ///
	(income_sd -> nach_sd, ) (income_sd -> fof_sd, ) (income_sd -> compet_sd, ) ///
	(educ_sd -> nach_sd, ) (educ_sd -> fof_sd, ) (educ_sd -> compet_sd, ) ///
	(zcta_population_sd -> nach_sd, ) (zcta_population_sd -> fof_sd, ) (zcta_population_sd -> compet_sd, ) ///
	(zcta_employment_sd -> nach_sd, ) (zcta_employment_sd -> fof_sd, ) (zcta_employment_sd -> compet_sd, ) ///
	(zcta_poverty_sd -> nach_sd, ) (zcta_poverty_sd -> fof_sd, ) (zcta_poverty_sd -> compet_sd, ) ///
	(zcta_uneducated_sd -> nach_sd, ) (zcta_uneducated_sd -> fof_sd, ) (zcta_uneducated_sd -> compet_sd, ) ///
	, cov(e.nach_sd*e.fof_sd) nocapslatent
**promotion and prevention foci. 
mi estimate (ind_eff_prom: [compet_sd]_b[zcta_gini_sd]*[prom_sd]_b[compet_sd]) ///
	(ind_eff_prev: [compet_sd]_b[zcta_gini_sd]*[prev_sd]_b[compet_sd]) ///
	, cmdok: sem (zcta_gini_sd -> prom_sd, ) (zcta_gini_sd -> prev_sd, ) (zcta_gini_sd -> compet_sd, ) ///
	(compet_sd -> prom_sd, ) (compet_sd -> prev_sd, ) ///
	(sex_sd -> prom_sd, ) (sex_sd -> prev_sd, ) (sex_sd -> compet_sd, ) ///
	(age_sd -> prom_sd, ) (age_sd -> prev_sd, ) (age_sd -> compet_sd, ) ///
	(white_sd -> prom_sd, ) (white_sd -> prev_sd, ) (white_sd -> compet_sd, ) ///
	(worker_sd -> prom_sd, ) (worker_sd -> prev_sd, ) (worker_sd -> compet_sd, ) ///
	(income_sd -> prom_sd, ) (income_sd -> prev_sd, ) (income_sd -> compet_sd, ) ///
	(educ_sd -> prom_sd, ) (educ_sd -> prev_sd, ) (educ_sd -> compet_sd, ) ///
	(zcta_population_sd -> prom_sd, ) (zcta_population_sd -> prev_sd, ) (zcta_population_sd -> compet_sd, ) ///
	(zcta_employment_sd -> prom_sd, ) (zcta_employment_sd -> prev_sd, ) (zcta_employment_sd -> compet_sd, ) ///
	(zcta_poverty_sd -> prom_sd, ) (zcta_poverty_sd -> prev_sd, ) (zcta_poverty_sd -> compet_sd, ) ///
	(zcta_uneducated_sd -> prom_sd, ) (zcta_uneducated_sd -> prev_sd, ) (zcta_uneducated_sd -> compet_sd, ) ///
	, cov(e.prom_sd*e.prev_sd) nocapslatent

**************************
*SUPPLEMENTARY MATERIAL 1*
**************************

***Hypothesis 1: without covariates [Table S3]
mi estimate: reg compet_sd zcta_gini_sd
display 3.97^2 / (3.97^2 + 823)

***Hypotheses 2-3 [Figure S1]
*approach and avoidance economic achievement goals.
mi estimate (ind_eff_pap: [compet_sd]_b[zcta_gini_sd]*[pap_sd]_b[compet_sd]) ///
	(ind_eff_pav: [compet_sd]_b[zcta_gini_sd]*[pav_sd]_b[compet_sd]) ///
	(ind_eff_map: [compet_sd]_b[zcta_gini_sd]*[map_sd]_b[compet_sd]) ///
	(ind_eff_mav: [compet_sd]_b[zcta_gini_sd]*[mav_sd]_b[compet_sd]) ///
	, cmdok: sem (zcta_gini_sd -> pap_sd, ) (zcta_gini_sd -> pav_sd, ) (zcta_gini_sd -> map_sd, ) (zcta_gini_sd -> mav_sd, ) (zcta_gini_sd -> compet_sd, ) ///
	(compet_sd -> pap_sd, ) (compet_sd -> pav_sd, ) (compet_sd -> map_sd, ) (compet_sd -> mav_sd, ) ///
	, cov(e.pap_sd*e.pav_sd e.pap_sd*e.map_sd e.pap_sd*e.mav_sd e.pav_sd*e.map_sd e.pav_sd*e.mav_sd e.map_sd*e.mav_sd) nocapslatent
*need for achievement and fear of failure. 
mi estimate (ind_eff_nach: [compet_sd]_b[zcta_gini_sd]*[nach_sd]_b[compet_sd]) ///
	(ind_eff_fof: [compet_sd]_b[zcta_gini_sd]*[fof_sd]_b[compet_sd]) ///
	, cmdok: sem (zcta_gini_sd -> nach_sd, ) (zcta_gini_sd -> fof_sd, ) (zcta_gini_sd -> compet_sd, ) ///
	(compet_sd -> nach_sd, ) (compet_sd -> fof_sd, ) ///
	, cov(e.nach_sd*e.fof_sd) nocapslatent
*promotion and prevention foci. 
mi estimate (ind_eff_prom: [compet_sd]_b[zcta_gini_sd]*[prom_sd]_b[compet_sd]) ///
	(ind_eff_prev: [compet_sd]_b[zcta_gini_sd]*[prev_sd]_b[compet_sd]) ///
	, cmdok: sem (zcta_gini_sd -> prom_sd, ) (zcta_gini_sd -> prev_sd, ) (zcta_gini_sd -> compet_sd, ) ///
	(compet_sd -> prom_sd, ) (compet_sd -> prev_sd, ) ///
	, cov(e.prom_sd*e.prev_sd) nocapslatent

**************************
*SUPPLEMENTARY MATERIAL 2*
**************************

***urban area
distinct micro if _mi_m == 0
display (850-821)/850

***descriptive [Table S1] and actual and perceived inequality correlations (Steiger's test was done online; http://quantpsy.org/corrtest/corrtest2.html)
duplicates tag micro if _mi_m == 0, generate(u_micro)
sum micro_gini if u_micro == 0
pwcorr zcta_gini micro_gini ineq compet if _mi_m == 0
pwcorr zcta_gini_sd micro_gini ineq compet_sd if _mi_m == 0, sig

***design effect [Footnote S2]
**number of Ss per cluster
display 259/821
**DEFFs
xtmixed compet || micro:, var
estat icc
display 1 + (821/259 - 1) * .0836165  

***Income inequality and perceived competitiveness
**standardization
*focal predictor
mi xeq: egen micro_gini_sd = std(micro_gini)
*level-2 micro
mi xeq: egen micro_poverty_sd = std(micro_poverty)
mi xeq: egen micro_employment_sd = std(micro_employment)
mi xeq: egen micro_population_sd = std(micro_population)
mi xeq: egen micro_uneducated_sd = std(micro_uneducated)
*ZIP code model
mi estimate: reg compet_sd zcta_gini_sd sex_sd age_sd white_sd worker_sd income_sd educ_sd zcta_population_sd zcta_employment_sd zcta_poverty_sd zcta_uneducated_sd
*urban model
mi estimate: reg compet_sd micro_gini_sd sex_sd age_sd white_sd worker_sd income_sd educ_sd micro_population_sd micro_employment_sd micro_poverty_sd micro_uneducated_sd
*composite model
mi estimate, saving(miest, replace): reg compet_sd zcta_gini_sd micro_gini_sd sex_sd age_sd white_sd worker_sd income_sd educ_sd zcta_population_sd zcta_employment_sd zcta_poverty_sd zcta_uneducated_sd
mi estimate (diff: _b[c.micro_gini_sd]-_b[c.zcta_gini_sd]) using miest, nocoef
mi testtransform diff

***********************
*NOT IN THE MANUSCRIPT*
***********************

***for the editor
**perceived inequality and perceived competitiveness
mi xeq: egen ineq_sd = std(ineq)
mi estimate: reg compet_sd ineq_sd sex_sd age_sd white_sd worker_sd income_sd educ_sd zcta_population_sd zcta_employment_sd zcta_poverty_sd zcta_uneducated_sd
**total effects 
*approach and avoidance economic achievement goals.
mi estimate, cmdok: sem (ineq_sd -> pap_sd, ) (ineq_sd -> pav_sd, ) (ineq_sd -> map_sd, ) (ineq_sd -> mav_sd, ) ///
	(sex_sd -> pap_sd, ) (sex_sd -> pav_sd, ) (sex_sd -> map_sd, ) (sex_sd -> mav_sd, ) ///
	(age_sd -> pap_sd, ) (age_sd -> pav_sd, ) (age_sd -> map_sd, ) (age_sd -> mav_sd, ) ///
	(white_sd -> pap_sd, ) (white_sd -> pav_sd, ) (white_sd -> map_sd, ) (white_sd -> mav_sd, ) ///
	(worker_sd -> pap_sd, ) (worker_sd -> pav_sd, ) (worker_sd -> map_sd, ) (worker_sd -> mav_sd, ) ///
	(income_sd -> pap_sd, ) (income_sd -> pav_sd, ) (income_sd -> map_sd, ) (income_sd -> mav_sd, ) ///
	(educ_sd -> pap_sd, ) (educ_sd -> pav_sd, ) (educ_sd -> map_sd, ) (educ_sd -> mav_sd, ) ///
	(zcta_population_sd -> pap_sd, ) (zcta_population_sd -> pav_sd, ) (zcta_population_sd -> map_sd, ) (zcta_population_sd -> mav_sd, ) ///
	(zcta_employment_sd -> pap_sd, ) (zcta_employment_sd -> pav_sd, ) (zcta_employment_sd -> map_sd, ) (zcta_employment_sd -> mav_sd, ) ///
	(zcta_poverty_sd -> pap_sd, ) (zcta_poverty_sd -> pav_sd, ) (zcta_poverty_sd -> map_sd, ) (zcta_poverty_sd -> mav_sd, ) ///
	(zcta_uneducated_sd -> pap_sd, ) (zcta_uneducated_sd -> pav_sd, ) (zcta_uneducated_sd -> map_sd, ) (zcta_uneducated_sd -> mav_sd, )  ///
	, cov(e.pap_sd*e.pav_sd e.pap_sd*e.map_sd e.pap_sd*e.mav_sd e.pav_sd*e.map_sd e.pav_sd*e.mav_sd e.map_sd*e.mav_sd) nocapslatent
*need for achievement and fear of failure. 
mi estimate, cmdok: sem (ineq_sd -> nach_sd, ) (ineq_sd -> fof_sd, ) ///
	(sex_sd -> nach_sd, ) (sex_sd -> fof_sd, ) ///
	(age_sd -> nach_sd, ) (age_sd -> fof_sd, ) ///
	(white_sd -> nach_sd, ) (white_sd -> fof_sd, ) ///
	(worker_sd -> nach_sd, ) (worker_sd -> fof_sd, ) ///
	(income_sd -> nach_sd, ) (income_sd -> fof_sd, ) ///
	(educ_sd -> nach_sd, ) (educ_sd -> fof_sd, ) ///
	(zcta_population_sd -> nach_sd, ) (zcta_population_sd -> fof_sd, ) ///
	(zcta_employment_sd -> nach_sd, ) (zcta_employment_sd -> fof_sd, ) ///
	(zcta_poverty_sd -> nach_sd, ) (zcta_poverty_sd -> fof_sd, ) ///
	(zcta_uneducated_sd -> nach_sd, ) (zcta_uneducated_sd -> fof_sd, ) ///
	, cov(e.nach_sd*e.fof_sd) nocapslatent
*promotion and prevention foci. 
mi estimate, cmdok: sem (ineq_sd -> prom_sd, ) (ineq_sd -> prev_sd, ) ///
	(sex_sd -> prom_sd, ) (sex_sd -> prev_sd, ) ///
	(age_sd -> prom_sd, ) (age_sd -> prev_sd, ) ///
	(white_sd -> prom_sd, ) (white_sd -> prev_sd, ) ///
	(worker_sd -> prom_sd, ) (worker_sd -> prev_sd, ) ///
	(income_sd -> prom_sd, ) (income_sd -> prev_sd, ) ///
	(educ_sd -> prom_sd, ) (educ_sd -> prev_sd, ) ///
	(zcta_population_sd -> prom_sd, ) (zcta_population_sd -> prev_sd, ) ///
	(zcta_employment_sd -> prom_sd, ) (zcta_employment_sd -> prev_sd, ) ///
	(zcta_poverty_sd -> prom_sd, ) (zcta_poverty_sd -> prev_sd, ) ///
	(zcta_uneducated_sd -> prom_sd, ) (zcta_uneducated_sd -> prev_sd, ) ///
	, cov(e.prom_sd*e.prev_sd) nocapslatent
**indirect effects 
*approach and avoidance economic achievement goals.
mi estimate (ind_eff_pap: [compet_sd]_b[ineq_sd]*[pap_sd]_b[compet_sd]) ///
	(ind_eff_pav: [compet_sd]_b[ineq_sd]*[pav_sd]_b[compet_sd]) ///
	(ind_eff_map: [compet_sd]_b[ineq_sd]*[map_sd]_b[compet_sd]) ///
	(ind_eff_mav: [compet_sd]_b[ineq_sd]*[mav_sd]_b[compet_sd]) ///
	, cmdok: sem (ineq_sd -> pap_sd, ) (ineq_sd -> pav_sd, ) (ineq_sd -> map_sd, ) (ineq_sd -> mav_sd, ) (ineq_sd -> compet_sd, ) ///
	(compet_sd -> pap_sd, ) (compet_sd -> pav_sd, ) (compet_sd -> map_sd, ) (compet_sd -> mav_sd, ) ///
	(sex_sd -> pap_sd, ) (sex_sd -> pav_sd, ) (sex_sd -> map_sd, ) (sex_sd -> mav_sd, ) (sex_sd -> compet_sd, ) ///
	(age_sd -> pap_sd, ) (age_sd -> pav_sd, ) (age_sd -> map_sd, ) (age_sd -> mav_sd, ) (age_sd -> compet_sd, ) ///
	(white_sd -> pap_sd, ) (white_sd -> pav_sd, ) (white_sd -> map_sd, ) (white_sd -> mav_sd, ) (white_sd -> compet_sd, ) ///
	(worker_sd -> pap_sd, ) (worker_sd -> pav_sd, ) (worker_sd -> map_sd, ) (worker_sd -> mav_sd, ) (worker_sd -> compet_sd, ) ///
	(income_sd -> pap_sd, ) (income_sd -> pav_sd, ) (income_sd -> map_sd, ) (income_sd -> mav_sd, ) (income_sd -> compet_sd, ) ///
	(educ_sd -> pap_sd, ) (educ_sd -> pav_sd, ) (educ_sd -> map_sd, ) (educ_sd -> mav_sd, ) (educ_sd -> compet_sd, ) ///
	(zcta_population_sd -> pap_sd, ) (zcta_population_sd -> pav_sd, ) (zcta_population_sd -> map_sd, ) (zcta_population_sd -> mav_sd, ) (zcta_population_sd -> compet_sd, ) ///
	(zcta_employment_sd -> pap_sd, ) (zcta_employment_sd -> pav_sd, ) (zcta_employment_sd -> map_sd, ) (zcta_employment_sd -> mav_sd, ) (zcta_employment_sd -> compet_sd, ) ///
	(zcta_poverty_sd -> pap_sd, ) (zcta_poverty_sd -> pav_sd, ) (zcta_poverty_sd -> map_sd, ) (zcta_poverty_sd -> mav_sd, ) (zcta_poverty_sd -> compet_sd, ) ///
	(zcta_uneducated_sd -> pap_sd, ) (zcta_uneducated_sd -> pav_sd, ) (zcta_uneducated_sd -> map_sd, ) (zcta_uneducated_sd -> mav_sd, ) (zcta_uneducated_sd -> compet_sd, ) ///
	, cov(e.pap_sd*e.pav_sd e.pap_sd*e.map_sd e.pap_sd*e.mav_sd e.pav_sd*e.map_sd e.pav_sd*e.mav_sd e.map_sd*e.mav_sd) nocapslatent
*need for achievement and fear of failure. 
mi estimate (ind_eff_nach: [compet_sd]_b[ineq_sd]*[nach_sd]_b[compet_sd]) ///
	(ind_eff_fof: [compet_sd]_b[ineq_sd]*[fof_sd]_b[compet_sd]) ///
	, cmdok: sem (ineq_sd -> nach_sd, ) (ineq_sd -> fof_sd, ) (ineq_sd -> compet_sd, ) ///
	(compet_sd -> nach_sd, ) (compet_sd -> fof_sd, ) ///
	(sex_sd -> nach_sd, ) (sex_sd -> fof_sd, ) (sex_sd -> compet_sd, ) ///
	(age_sd -> nach_sd, ) (age_sd -> fof_sd, ) (age_sd -> compet_sd, ) ///
	(white_sd -> nach_sd, ) (white_sd -> fof_sd, ) (white_sd -> compet_sd, ) ///
	(worker_sd -> nach_sd, ) (worker_sd -> fof_sd, ) (worker_sd -> compet_sd, ) ///
	(income_sd -> nach_sd, ) (income_sd -> fof_sd, ) (income_sd -> compet_sd, ) ///
	(educ_sd -> nach_sd, ) (educ_sd -> fof_sd, ) (educ_sd -> compet_sd, ) ///
	(zcta_population_sd -> nach_sd, ) (zcta_population_sd -> fof_sd, ) (zcta_population_sd -> compet_sd, ) ///
	(zcta_employment_sd -> nach_sd, ) (zcta_employment_sd -> fof_sd, ) (zcta_employment_sd -> compet_sd, ) ///
	(zcta_poverty_sd -> nach_sd, ) (zcta_poverty_sd -> fof_sd, ) (zcta_poverty_sd -> compet_sd, ) ///
	(zcta_uneducated_sd -> nach_sd, ) (zcta_uneducated_sd -> fof_sd, ) (zcta_uneducated_sd -> compet_sd, ) ///
	, cov(e.nach_sd*e.fof_sd) nocapslatent
*promotion and prevention foci. 
mi estimate (ind_eff_prom: [compet_sd]_b[ineq_sd]*[prom_sd]_b[compet_sd]) ///
	(ind_eff_prev: [compet_sd]_b[ineq_sd]*[prev_sd]_b[compet_sd]) ///
	, cmdok: sem (ineq_sd -> prom_sd, ) (ineq_sd -> prev_sd, ) (ineq_sd -> compet_sd, ) ///
	(compet_sd -> prom_sd, ) (compet_sd -> prev_sd, ) ///
	(sex_sd -> prom_sd, ) (sex_sd -> prev_sd, ) (sex_sd -> compet_sd, ) ///
	(age_sd -> prom_sd, ) (age_sd -> prev_sd, ) (age_sd -> compet_sd, ) ///
	(white_sd -> prom_sd, ) (white_sd -> prev_sd, ) (white_sd -> compet_sd, ) ///
	(worker_sd -> prom_sd, ) (worker_sd -> prev_sd, ) (worker_sd -> compet_sd, ) ///
	(income_sd -> prom_sd, ) (income_sd -> prev_sd, ) (income_sd -> compet_sd, ) ///
	(educ_sd -> prom_sd, ) (educ_sd -> prev_sd, ) (educ_sd -> compet_sd, ) ///
	(zcta_population_sd -> prom_sd, ) (zcta_population_sd -> prev_sd, ) (zcta_population_sd -> compet_sd, ) ///
	(zcta_employment_sd -> prom_sd, ) (zcta_employment_sd -> prev_sd, ) (zcta_employment_sd -> compet_sd, ) ///
	(zcta_poverty_sd -> prom_sd, ) (zcta_poverty_sd -> prev_sd, ) (zcta_poverty_sd -> compet_sd, ) ///
	(zcta_uneducated_sd -> prom_sd, ) (zcta_uneducated_sd -> prev_sd, ) (zcta_uneducated_sd -> compet_sd, ) ///
	, cov(e.prom_sd*e.prev_sd) nocapslatent
